using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        /// <summary>
        /// This program is written to test the ghasedak sms service
        /// You must enter your account information such as API KEY and line number
        /// </summary>
        /// <param name="args"></param>
        static void Main(string[] args)
        {
            string apiKey = "Your API Key";
            try
            {
                //create instanc
                Ghasedak.Api sms = new Ghasedak.Api(apiKey);

                //send sms 
                var res = sms.SendSMS("Hello World!", "0912XXXXXXX", "3000XXXXXXX", DateTime.Now, "12345").Result;
                //send sms bulk
                var res1 = sms.SendSMS(new string[] { "Hello World!", "Hello World!" },
                                       new string[] { "0912XXXXXXX", "0912XXXXXXX" }, 
                                       new string[] { "3000XXXXXXX", "3000XXXXXXX" }, 
                                       new DateTime[] { DateTime.Now, DateTime.Now },
                                       new string[] { "1234", "56789" }).Result;
                //send voice
                var res2 = sms.SendVoice("Hello World!", new string[] { "0912XXXXXXX", "0912XXXXXXX"}, DateTime.Now).Result;
                //account into
                var res3 = sms.AccountInfo();
                //status (with message id)
                var res4 = sms.GetStatus(1, new long[] { 234434, 234435 }).Result;
                //status (with check id)
                var res5 = sms.GetStatus(2, new long[] { 1234, 56789 }).Result;
                //verify-SMS (OTP)
                var res6 = sms.Verify(1, "your template name",
                                      new string[] { "0912XXXXXXX", "0912XXXXXXX"},
                                      "param1", "param2", "param3", "param4", "param5", "param6", "param7", "param8", "param9", "param10").Result;
                //verify-Voice (OTP)
                var res7 = sms.Verify(2, "your template name", 
                                      new string[] { "0912XXXXXXX", "0912XXXXXXX" },
                                      "param1", "param2", "param3", "param4", "param5", "param6", "param7", "param8", "param9", "param10").Result;
            }
            catch (Ghasedak.Exceptions.ApiException ex)
            {

                Console.WriteLine(ex.Message);
            }

            Console.WriteLine(Environment.NewLine);
            Console.WriteLine("Press any key to exit . . .");
            Console.ReadKey();
        }
    }
}
